package com.trade.admin.workflow.dto;

import com.trade.common.core.dto.BaseSearch;

import java.util.Date;
import java.util.List;

public class SearchBusinessProcessingVo extends BaseSearch {

    /** 开始时间 **/
    private Date startTime;
    /** 结束时间 **/
    private Date endTime;
    /** 部门Id集合 **/
    private List<Long> orgIdList;
    /** 用户ID集合 **/
    private List<Long> userIdList;
    private List<Long> userIdAllList;
    /** 业务类型：如立项、尽调、评审会等 **/
    private String businessType;
    /** 处理类型:处理人、分配人 **/
    private String assigneeType;
    /** 业务状态类型 **/
    private String businessProcessingType;
    /** 业务进度主键的ID **/
    private List<Long> businessProcessingLogIdList;

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public List<Long> getOrgIdList() {
        return orgIdList;
    }

    public void setOrgIdList(List<Long> orgIdList) {
        this.orgIdList = orgIdList;
    }

    public List<Long> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Long> userIdList) {
        this.userIdList = userIdList;
    }

    public List<Long> getUserIdAllList() {
        return userIdAllList;
    }

    public void setUserIdAllList(List<Long> userIdAllList) {
        this.userIdAllList = userIdAllList;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getAssigneeType() {
        return assigneeType;
    }

    public void setAssigneeType(String assigneeType) {
        this.assigneeType = assigneeType;
    }

    public String getBusinessProcessingType() {
        return businessProcessingType;
    }

    public void setBusinessProcessingType(String businessProcessingType) {
        this.businessProcessingType = businessProcessingType;
    }

    public List<Long> getBusinessProcessingLogIdList() {
        return businessProcessingLogIdList;
    }

    public void setBusinessProcessingLogIdList(List<Long> businessProcessingLogIdList) {
        this.businessProcessingLogIdList = businessProcessingLogIdList;
    }
}
